## Class rsrc_loader

zeep::http::rsrc_loader — actual implementation of a zeep::resource_loader that loads resources from memory

## Synopsis

    // In header: <zeep/http/template-processor.hpp>

    class rsrc_loader : public zeep::http::resource_loader {
    public:
      // construct/copy/destruct
      rsrc_loader(const std::string &);

      // public member functions
      virtual std::filesystem::file_time_type
      file_time(const std::string &, std::error_code &) noexcept;
      virtual std::istream *
      load_file(const std::string &, std::error_code &) noexcept;
    };

## Description

Load the resources from resource data created with mrc (see https://github.com/mhekkel/mrc )

### `rsrc_loader` public construct/copy/destruct

1.     rsrc_loader(const std::string &);

   constructor

   The parameter is not used

### `rsrc_loader` public member functions

1.     virtual std::filesystem::file_time_type
       file_time(const std::string & file, std::error_code & ec) noexcept;

   return last_write_time of file

2.     virtual std::istream *
       load_file(const std::string & file, std::error_code & ec) noexcept;

   basic loader, returns error in ec if file was not found